AIServiceValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIServiceValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIServiceValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIServiceValue

All Implemented Interfaces:
  java.io.Serializable

    public class AIServiceValue

extends java.lang.Object
implements java.io.Serializable

Value object for AIService.

See Also:
  Serialized Form

Constructor Summary
`AIServiceValue()`
`AIServiceValue(AIServiceValue otherValue)`
`AIServiceValue(int serverId, java.lang.String serviceTypeName, byte[] customProperties, byte[] productConfig, byte[] controlConfig, byte[] measurementConfig, byte[] responseTimeConfig, java.lang.String name, java.lang.String description, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`boolean` | `controlConfigHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `customPropertiesHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`byte[]` | `getControlConfig()`
`java.lang.Long` | `getCTime()`
`byte[]` | `getCustomProperties()`
`java.lang.String` | `getDescription()`
`java.lang.Integer` | `getId()`
`byte[]` | `getMeasurementConfig()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`byte[]` | `getProductConfig()`
`byte[]` | `getResponseTimeConfig()`
`int` | `getServerId()`
`java.lang.String` | `getServiceTypeName()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `measurementConfigHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `productConfigHasBeenSet()`
`boolean` | `responseTimeConfigHasBeenSet()`
`boolean` | `serverIdHasBeenSet()`
`boolean` | `serviceTypeNameHasBeenSet()`
`void` | `setControlConfig(byte[] controlConfig)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.Integer id)`
`void` | `setMeasurementConfig(byte[] measurementConfig)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setProductConfig(byte[] productConfig)`
`void` | `setResponseTimeConfig(byte[] responseTimeConfig)`
`void` | `setServerId(int serverId)`
`void` | `setServiceTypeName(java.lang.String serviceTypeName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIServiceValue

    public AIServiceValue()

### AIServiceValue

    public AIServiceValue(int serverId,
                          java.lang.String serviceTypeName,
                          byte[] customProperties,
                          byte[] productConfig,
                          byte[] controlConfig,
                          byte[] measurementConfig,
                          byte[] responseTimeConfig,
                          java.lang.String name,
                          java.lang.String description,
                          java.lang.Integer id,
                          java.lang.Long mTime,
                          java.lang.Long cTime)

### AIServiceValue

    public AIServiceValue(AIServiceValue otherValue)

Method Detail

### getServerId

    public int getServerId()

### setServerId

    public void setServerId(int serverId)

### serverIdHasBeenSet

    public boolean serverIdHasBeenSet()

### getServiceTypeName

    public java.lang.String getServiceTypeName()

### setServiceTypeName

    public void setServiceTypeName(java.lang.String serviceTypeName)

### serviceTypeNameHasBeenSet

    public boolean serviceTypeNameHasBeenSet()

### getCustomProperties

    public byte[] getCustomProperties()

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

### customPropertiesHasBeenSet

    public boolean customPropertiesHasBeenSet()

### getProductConfig

    public byte[] getProductConfig()

### setProductConfig

    public void setProductConfig(byte[] productConfig)

### productConfigHasBeenSet

    public boolean productConfigHasBeenSet()

### getControlConfig

    public byte[] getControlConfig()

### setControlConfig

    public void setControlConfig(byte[] controlConfig)

### controlConfigHasBeenSet

    public boolean controlConfigHasBeenSet()

### getMeasurementConfig

    public byte[] getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(byte[] measurementConfig)

### measurementConfigHasBeenSet

    public boolean measurementConfigHasBeenSet()

### getResponseTimeConfig

    public byte[] getResponseTimeConfig()

### setResponseTimeConfig

    public void setResponseTimeConfig(byte[] responseTimeConfig)

### responseTimeConfigHasBeenSet

    public boolean responseTimeConfigHasBeenSet()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.